# Uses of Interface
org.bukkit.metadata.MetadataValue

Packages that use MetadataValue
Package
Description
org.bukkit.metadata
Classes dedicated to providing a layer of plugin specified data on various Minecraft concepts.

## Uses of MetadataValue in org.bukkit.metadata

Classes in org.bukkit.metadata that implement MetadataValue
Modifier and Type
Class
Description
`class`
`FixedMetadataValue`
A FixedMetadataValue is a special case metadata item that contains the same value forever after initialization.
`class`
`LazyMetadataValue`
The LazyMetadataValue class implements a type of metadata that is not computed until another plugin asks for it.
`class`
`MetadataValueAdapter`
Optional base class for facilitating MetadataValue implementations.
Methods in org.bukkit.metadata that return types with arguments of type MetadataValue
Modifier and Type
Method
Description
`@NotNull List<MetadataValue>`
Metadatable.`getMetadata(@NotNull String metadataKey)`
Returns a list of previously set metadata values from the implementing object's metadata store.
`@NotNull List<MetadataValue>`
MetadataStore.`getMetadata(T subject, @NotNull String metadataKey)`
Returns all metadata values attached to an object.
`@NotNull List<MetadataValue>`
MetadataStoreBase.`getMetadata(T subject, @NotNull String metadataKey)`
Returns all metadata values attached to an object.
Methods in org.bukkit.metadata with parameters of type MetadataValue
Modifier and Type
Method
Description
`void`
Metadatable.`setMetadata(@NotNull String metadataKey, @NotNull MetadataValue newMetadataValue)`
Sets a metadata value in the implementing object's metadata store.
`void`
MetadataStore.`setMetadata(T subject, @NotNull String metadataKey, @NotNull MetadataValue newMetadataValue)`
Adds a metadata value to an object.
`void`
MetadataStoreBase.`setMetadata(T subject, @NotNull String metadataKey, @NotNull MetadataValue newMetadataValue)`
Adds a metadata value to an object.